php56-php-oci8-5.6.40-13.fc29.remi.x86_64.rpm


Advertisement

Description

php56-php-oci8 - A module for PHP applications that use OCI8 databases

Property Value
Distribution Fedora 29
Repository Les RPM de Remi x86_64
Package filename php56-php-oci8-5.6.40-13.fc29.remi.x86_64.rpm
Package name php56-php-oci8
Package version 5.6.40
Package release 13.fc29.remi
Package architecture x86_64
Package type rpm
Category Development/Languages
Homepage http://www.php.net/
License PHP
Maintainer -
Download size 72.11 KB
Installed size 206.14 KB
The php56-php-oci8 packages provides the OCI8 extension version 2.0.12
and the PDO driver to access Oracle Database.
The extension is linked with Oracle client libraries 19.3
(Oracle Instant Client).  For details, see Oracle's note
"Oracle Client / Server Interoperability Support" (ID 207303.1).
You must install libclntsh.so.19.1 to use this package, provided
in the database installation, or in the free Oracle Instant Client
available from Oracle.
Notice:
- php56-php-oci8 provides oci8 and pdo_oci extensions from php sources.
- php56-php-pecl-oci8 only provides oci8 extension.
Documentation is at http://php.net/oci8 and http://php.net/pdo_oci

Alternatives

Package Version Architecture Repository
php56-php-oci8-5.6.40-14.fc29.remi.x86_64.rpm 5.6.40 x86_64 Les RPM de Remi
php56-php-oci8-5.6.40-6.fc29.remi.x86_64.rpm 5.6.40 x86_64 Les RPM de Remi Testing
php56-php-oci8 - - -

Requires

Name Value
php56-php-pdo(x86-64) = 5.6.40-13.fc29.remi

Provides

Name Value
config(php56-php-oci8) = 5.6.40-13.fc29.remi
php56-php-oci8 = 5.6.40-13.fc29.remi
php56-php-oci8(x86-64) = 5.6.40-13.fc29.remi
php56-php-pdo_oci -
php56-php-pdo_oci(x86-64) -
php56-php-pecl(oci8) = 2.0.12
php56-php-pecl(oci8)(x86-64) = 2.0.12
php56-php_database -

Conflicts

Name Value
php56-php-pecl-oci8 >= 2.0.12

Obsoletes

Name Value
php56-php-pecl-oci8 < 2.0.12

Download

Type URL
Mirror rpms.remirepo.net
Binary Package php56-php-oci8-5.6.40-13.fc29.remi.x86_64.rpm
Source Package php56-php-5.6.40-13.fc29.remi.src.rpm

Install Howto

  1. Download latest remi-release rpm from
    http://rpms.remirepo.net/fedora/29/remi/x86_64/
  2. Install remi-release rpm:
    # rpm -Uvh remi-release*rpm
  3. Install php56-php-oci8 rpm package:
    # dnf --enablerepo=remi install php56-php-oci8

Files

Path
/etc/opt/remi/php56/php.d/20-oci8.ini
/etc/opt/remi/php56/php.d/30-pdo_oci.ini
/opt/remi/php56/root/usr/lib64/php/modules/oci8.so
/opt/remi/php56/root/usr/lib64/php/modules/pdo_oci.so

Changelog

2019-08-28 - Remi Collet <remi@remirepo.net> - 5.6.40-13
- mbstring:
Fix CVE-2019-13224 don't allow different encodings for onig_new_deluxe
- pcre:
Fix #75457 heap use-after-free in pcrelib
2019-07-30 - Remi Collet <remi@remirepo.net> - 5.6.40-12
- exif:
Fix #78256 heap-buffer-overflow on exif_process_user_comment
CVE-2019-11042
Fix #78222 heap-buffer-overflow on exif_scan_thumbnail
CVE-2019-11041
- phar:
Fix #77919 Potential UAF in Phar RSHUTDOWN
2019-07-02 - Remi Collet <remi@remirepo.net> - 5.6.40-11
- use oracle client library version 19.3

See Also

Package Description
php56-php-odbc-5.6.40-13.fc29.remi.x86_64.rpm A module for PHP applications that use ODBC databases
php56-php-odbc-5.6.40-14.fc29.remi.x86_64.rpm A module for PHP applications that use ODBC databases
php56-php-opcache-5.6.40-13.fc29.remi.x86_64.rpm The Zend OPcache
php56-php-opcache-5.6.40-14.fc29.remi.x86_64.rpm The Zend OPcache
php56-php-pdo-5.6.40-13.fc29.remi.x86_64.rpm A database access abstraction module for PHP applications
php56-php-pdo-5.6.40-14.fc29.remi.x86_64.rpm A database access abstraction module for PHP applications
php56-php-pear-1.10.9-2.fc29.remi.noarch.rpm PHP Extension and Application Repository framework
php56-php-pear-1.10.9-4.fc29.remi.noarch.rpm PHP Extension and Application Repository framework
php56-php-pecl-ahocorasick-0.0.6-1.fc29.remi.x86_64.rpm Effective Aho-Corasick string pattern matching algorithm
php56-php-pecl-ahocorasick-0.0.7-1.fc29.remi.x86_64.rpm Effective Aho-Corasick string pattern matching algorithm
php56-php-pecl-amqp-1.9.3-6.fc29.remi.x86_64.rpm Communicate with any AMQP compliant server
php56-php-pecl-amqp-1.9.4-6.fc29.remi.x86_64.rpm Communicate with any AMQP compliant server
php56-php-pecl-apcu-4.0.11-2.fc29.remi.x86_64.rpm APC User Cache
php56-php-pecl-apcu-devel-4.0.11-2.fc29.remi.x86_64.rpm APCu developer files (header)
php56-php-pecl-apfd-1.0.1-12.fc29.remi.x86_64.rpm Always Populate Form Data
Advertisement
Advertisement